# std::initializer_list::end

From cppreference.com
< cpp‎ | utility‎ | initializer list

const T* end() const; |  | (since C++11) (until C++14)
constexpr const T* end() const; |  | (since C++14)

Returns a pointer to one past the last element in the initializer list, i.e. begin() + size().

If the initializer list is empty, the values of begin() and end() are unspecified, but will be identical.

### Parameters

(none)

### Return value

a pointer to one past the last element in the initializer list

### Exceptions

`noexcept` specification:
noexcept

### Complexity

Constant

### See also

begin | returns a pointer to the first element (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/utility/initializer_list/end&oldid=91828"
Category:

- unconditionally noexcept

Hidden categories:

- Pages with unreviewed unconditional noexcept template
- Pages with unreviewed noexcept template